﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;


namespace DataEntity
{
    [Table("Materialy")]
    public class Material
    {

       [Key] 
       [Column(Order=1)]
       public int MaterialId { get; set; }

       [Required(ErrorMessage = "Název materiálu je povinné pole.")] 
       [StringLength(255)]
       public string NazevMat { get; set; }

       [Required] //atribut musí mít hodnotu
       [Range(0, int.MaxValue, ErrorMessage = "Pojistné množství musí být kladné celé číslo.")] //zadaná hodnota musí být v rozmezí 0 - maximální hodnota datového typu Integer, pokud je zadaná hodnota jiná, zobrazí se chybová hláška
       public int MnozPoj { get; set; } //vytvoření sloupce MnozPoj datového typu Integer

       [Required] //atribut musí mít hodnotu
       [Range(0, int.MaxValue, ErrorMessage = "Množství do palety musí být kladné celé číslo.")] //zadaná hodnota musí být v rozmezí 1 - maximální hodnota datového typu Integer
       public int MnozDoPal { get; set; } //vytvoření sloupce MnozDoPal datového typu Integer

       public string Komentar { get; set; }

       [Column(TypeName = "date")] //jméno typu date
       public DateTime Datum { get; set; } //vytvoření sloupce Datum datového typu DateTime

       public int MernaJednotkaId { get; set; }

       [ForeignKey("MernaJednotkaId")]
     //  [ForeignKey(nameof(MernajednotkaId))]
        public virtual MernaJednotka MernaJednotka { get; set; }


    }
}
